#!/usr/local/bin/perl

$c1=1.0;
$c2=0.5;
$xm1=0.3;
$xm2=0.7;
$xs1=0.07;
$xs2=0.12;

sub htfun1 {
	local($x) = @_;
	$a1 = -0.5*(($x-$xm1)/$xs1)**2;
	$a2 = -0.5*(($x-$xm2)/$xs2)**2;
	$x1 = $c1;
	$x2 = $c2;
	if ( -$a1>1.0e-4 ) {
		$x1 = $c1 * exp($a1);
	}
	if ( -$a2>1.0e-4 ) {
		$x2 = $c2 * exp($a2);
	}
	$_ = $x1 + $x2;
}

for ($iy=0; $iy<40; $iy++) {
	$y = ($iy + 0.5) / 40.0;
	$funy = &htfun1($y);
	for ($ix=0; $ix<40; $ix++) {
		$x = ($ix + 0.5) / 40.0;
		$funx = &htfun1($x);
		printf "%f %f %f\n", $x, $y, 100.0*$funx*$funy;
	}
}
